> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Business Data Tripadvisor Search Results by id

> This endpoint will provide you with data on businesses listed on the [Tripadvisor](https://www.



## OpenAPI

````yaml openapi/dataforseo.json GET /dataforseo/business_data/tripadvisor/search/task_get/{id}
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: DataForSEO API endpoints exposed through the AIsa unified gateway.
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/business_data/tripadvisor/search/task_get/{id}:
    get:
      summary: Get Business Data Tripadvisor Search Results by id
      description: >-
        This endpoint will provide you with data on businesses listed on the
        [Tripadvisor](https://www.tripadvisor.com) platform. The results
        obtained through this endpoint are specific to the location (see [the
        List of Tripadvisor
        Locations](https://docs.dataforseo.com/v3/business_data/tripadvisor/locations.md))
        and keyword parameters used in the POST request.
      operationId: get_dataforseo_business_data_tripadvisor_search_task_get_id
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: DataForSEO task ID.
        - name: id
          in: query
          required: false
          schema:
            type: string
          description: >-
            *task identifier* **unique task identifier in our system in the
            [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier)
            format** you will be able to use it within **30 days** to request
            the results of the task at any time
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: '*the current version of the API*'
                  version.status_code:
                    type: integer
                    description: >-
                      *general status code* you can find the full list of the
                      response codes
                      [here](https://docs.dataforseo.com/v3/appendix/errors.md)
                      **Note:** we strongly recommend designing a necessary
                      system for handling related exceptional or error
                      conditions
                  version.status_message:
                    type: string
                    description: >-
                      *general informational message* you can find the full list
                      of general informational messages
                      [here](https://docs.dataforseo.com/v3/appendix/errors.md)
                  version.time:
                    type: string
                    description: '*execution time, seconds*'
                  version.cost:
                    type: number
                    description: '*total *tasks* cost, USD*'
                  version.tasks_count:
                    type: integer
                    description: '*the number of tasks in the **`tasks`** array*'
                  version.tasks_error:
                    type: integer
                    description: >-
                      *the number of tasks in the **`tasks`** array that were
                      returned an error*
                  tasks:
                    type: array
                    items:
                      type: string
                    description: '*array of tasks*'
                  tasks.id:
                    type: string
                    description: >-
                      *task identifier* **unique task identifier in our system
                      in the
                      [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier)
                      format**
                  tasks.status_code:
                    type: integer
                    description: >-
                      *status code of the task* generated by DataForSEO; can be
                      within the following range: 10000-60000 you can find the
                      full list of the response codes
                      [here](https://docs.dataforseo.com/v3/appendix/errors.md)
                  tasks.status_message:
                    type: string
                    description: >-
                      *informational message of the task* you can find the full
                      list of general informational messages
                      [here](https://docs.dataforseo.com/v3/appendix/errors.md)
                  tasks.time:
                    type: string
                    description: '*execution time, seconds*'
                  tasks.cost:
                    type: number
                    description: '*cost of the task, USD*'
                  tasks.result_count:
                    type: integer
                    description: '*number of elements in the `result` array*'
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: '*URL path*'
                  tasks.data:
                    type: object
                    description: >-
                      *contains the same parameters that you specified in the
                      POST request*
                  result:
                    type: array
                    items:
                      type: string
                    description: '*array of results*'
                  result.keyword:
                    type: string
                    description: >-
                      *keyword received in a POST array* this field will contain
                      the `alias` parameter if it was specified in a POST array
                  result.se_domain:
                    type: string
                    description: '*search engine domain in a POST array*'
                  result.location_code:
                    type: string
                    description: '*location code in a POST array*'
                  result.language_code:
                    type: string
                    description: '*language code in a POST array*'
                  result.check_url:
                    type: string
                    description: >-
                      *direct URL to Tripadvisor results* you can use it to make
                      sure that we provided accurate results
                  result.datetime:
                    type: string
                    description: >-
                      *date and time when the result was received* in the UTC
                      format: “yyyy-mm-dd hh-mm-ss +00:00” example: `2019-11-15
                      12:57:46 +00:00`
                  result.item_types:
                    type: array
                    items:
                      type: string
                    description: >-
                      *item types encountered in the result* possible item
                      types: `tripadvisor_search_organic`
                  result.se_results_count:
                    type: integer
                    description: '*the total number of results*'
                  result.items_count:
                    type: integer
                    description: >-
                      *the number of items in the results array* you can get
                      more results by using the `depth` parameter when setting a
                      task
                  items:
                    type: array
                    items:
                      type: string
                    description: >-
                      *Tripadvisor search listing results* you can get more
                      results by using the `depth` parameter when setting a task
                  items.type:
                    type: string
                    description: >-
                      *type of Tripadvisor search result* possible types:
                      `tripadvisor_search_organic`
                  items.rank_group:
                    type: integer
                    description: >-
                      *position within a group of elements with identical `type`
                      values* positions of elements with different `type` values
                      are omitted from `rank_group`
                  items.rank_absolute:
                    type: integer
                    description: >-
                      *absolute rank among all the listed results* absolute
                      position among all reviews on the list
                  items.title:
                    type: string
                    description: '*name of the business entity*'
                  items.url_path:
                    type: string
                    description: >-
                      *URL path of the business entity* URL path to the
                      Tripadvisor page of the business entity you can use this
                      identifier to collect reviews for the business entity
                      using [Tripadvisor
                      Reviews](https://docs.dataforseo.com/v3/business_data/tripadvisor/reviews/task_post.md)
                  items.is_sponsored:
                    type: boolean
                    description: >-
                      *indicates a sponsored placement* if `true`, related
                      `tripadvisor_search_organic` item is a paid advertising on
                      Tripadvisor
                  items.reviews_count:
                    type: integer
                    description: '*the total number of reviews*'
                  items.category:
                    type: string
                    description: '*place category*'
                  items.price_rate:
                    type: string
                    description: '*average price rate*'
                  items.rating:
                    type: object
                    description: >-
                      *the rating score of the establishment submitted by the
                      reviewers*
                  items.rating_type:
                    type: string
                    description: >-
                      *the type of the rating* can take the following values:
                      `Max5`
                  items.value:
                    type: number
                    description: '*the value of the rating*'
                  items.votes_count:
                    type: integer
                    description: >-
                      *the amount of feedback* indicates the number of votes the
                      establishment obtained
                  items.rating_max:
                    type: integer
                    description: >-
                      *the maximum value for a `rating_type`* the maximum value
                      for `Max5` is 5
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '429':
          description: Rate limit exceeded
        '500':
          description: Internal server error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````